﻿USE [MangoDB]
GO
/****** Object:  Table [dbo].[MangoService_Subscription]    Script Date: 03/29/2012 16:35:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MangoService_Subscription](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ClientId] [nvarchar](500) NULL,
	[Channel] [nvarchar](500) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[MangoService_Event]    Script Date: 03/29/2012 16:35:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MangoService_Event](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ClientId] [nvarchar](500) NULL,
	[Channel] [nvarchar](500) NULL,
	[PublisherId] [nvarchar](500) NULL,
	[Time] [datetime] NULL,
	[Timestamp] [bigint] NULL,
	[Service] [nvarchar](500) NULL,
	[Tag] [nvarchar](500) NULL,
	[ExtraInfo] [nvarchar](max) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[MangoService_Dictionary]    Script Date: 03/29/2012 16:35:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MangoService_Dictionary](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[Key] [nvarchar](500) NULL,
	[Value] [nvarchar](max) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
